c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
c Driver to call rate coefficient code for binary reaction             $
c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
c pcs  May 7, 2007                                                     $
c pcs  April 19, 2011 - correction to formats 94 and 98                $
c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
c Assumes integer molecular quantum numbers for rotation and vibration 
c and calls subroutine rateh2h2 to convert to energy order indices
c which also calls code to compute rate coefficient for a given
c temperature from fits.
c Options for atom-diatom and diatom-diatom (could be used)
c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$  
       integer vi,ji,vf,jf,ptype,vci,jci,vcf,jcf,ic
       double precision temperature,rate
       character quality*4
       external rateh2h2
       
c
       ic=0
c get input parameters      
c
       do i=1,1000
10     print*,"Input initial and final rovibrational numbers for"
       print*,"target molecule: v_i, j_i, v_f, j_f"
       read*,vi,ji,vf,jf
c       print*,"Is perturber a diatomic molecule (enter 1)" 
c       print*,"or atom (enter 2)?"
c       read*,ptype
c       if (ptype.eq.1) then
          print*,"Input initial and final rovibrational numbers for"
          print*,"collider molecule: vc_i, jc_i, vc_f, jc_f"
          read*,vci,jci,vcf,jcf
c       end if
       print*,"Input temperature (K)"
       read*,temperature
c
c call rate coefficient diatom-diatom generator code
c
       call rateh2h2(vi,ji,vf,jf,vci,jci,vcf,jcf,temperature,rate,
     .               quality,ic)
c
       if(rate.eq.-1.) goto 95
       write(6,99) temperature 
       write(6,98) vi,ji,vf,jf
       write(6,94) vci,jci,vcf,jcf
       write(6,97) rate
       write(6,96) quality
       ic=ic+1
       print*,"to end type 1, to continue type 2"
       read*, iloop
       if(iloop.eq.1) go to 95
       end do      
c
 99   format('Rate coefficient for ',f10.2,' K for transition')
 98   format('Target v,j=(',i3,',',i3,') to v,j=(',i3,',',i3,')')
 94   format('Collider v,j=(',i3,',',i3,') to v,j=(',i3,',',i3,')')
 97   format(e10.5,'cm3/s')
 96   format('Quality index =',a4)
 95   continue        
      stop
      end
